RTEMS: Data Fields

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - r -

- r3_stack_pointer : Context_Control
- ram_loc : tms570_selftest_par_desc
- rap_id : section_detail
- raw : ALT_CLK_GROUP_RAW_CFG_s::ALT_CLK_GROUP_RAW_CFG_u
- rax : CPU_Interrupt_frame
- rbEdge : _SmcStatus::_SmcStatusBits
- RBTree : Watchdog_Control
- rbx : Context_Control
- rd_datacap : ALT_QSPI_TIMING_CONFIG_s
- re_name : rtems_rtl_obj_print
- re_symbol : rtems_rtl_obj_print
- read : ctrace_per_cpu, i2c_dev, rtems_fdisk_driver_handlers, rtems_jffs2_flash_control, rtems_nvdisk_driver_handlers, rtems_rtl_obj_cpmp, stm32f4_i2c_message
- read_2_reg : sc16is752_context
- read_ahead : rtems_disk_device
- read_ahead_chain : rtems_bdbuf_cache
- read_ahead_enabled : rtems_bdbuf_cache
- read_ahead_priority : rtems_bdbuf_config
- read_ahead_task : rtems_bdbuf_cache
- read_ahead_transfers : rtems_blkdev_stats
- read_blocks : rtems_blkdev_stats
- read_errors : rtems_blkdev_stats
- read_hits : rtems_blkdev_stats
- read_misses : rtems_blkdev_stats
- read_reg : sc16is752_context
- reader : rtems_stdio_redirect
- Ready : Scheduler_EDF_Context, Scheduler_EDF_SMP_Context, Scheduler_priority_Context, Scheduler_simple_Context
- ready_chain : Scheduler_priority_Ready_queue
- ready_major : Priority_bit_map_Information
- ready_minor : Priority_bit_map_Information
- Ready_queue : Scheduler_priority_Node, Scheduler_priority_SMP_Node, Scheduler_strong_APA_Node
- ready_queue_index : Scheduler_EDF_SMP_Node
- Real_priority : _Thread_Control, Thread_Proxy_control
- reason : Heap_Error_context
- rec : ctrace_per_cpu, rtems_rtl_unresolv_block, rtl_unresolved_name_data
- rec_valid : ctrace_per_cpu
- receive_packet : MPCI_Control
- recs : ctrace_per_cpu, rtems_rtl_unresolv_block
- recursionlevel : rtems_filesystem_eval_path_context_t
- Recursive : CORE_ceiling_mutex_Control
- Red : RTEMS_PACKED
- RedFieldPosition : RTEMS_PACKED
- RedMaskSize : RTEMS_PACKED
- ref_clk : ALT_CLK_PLL_CFG_s
- references : _rtems_rfs_file_shared, rtems_bdbuf_buffer
- RefreshRate : RTEMS_PACKED
- refs : rtems_fdt_blob, rtems_rtl_archive, rtems_rtl_obj, rtems_rtl_unresolv_symbol
- Registers : _Thread_Control
- registers : rtems_debugger_threads
- Registry_node : Chain_Iterator
- regs : mpc55xx_dspi_bus_entry
- rel : rtems_rtl_tramp_reloc, rtems_rtl_unresolv_reloc
- release : _rtems_rfs_file_system
- release_count : _rtems_rfs_file_system
- release_job : Scheduler_Operations
- release_modified : _rtems_rfs_file_system
- release_modified_count : _rtems_rfs_file_system
- reloc : rtems_rtl_unresolv_rec
- relocs : rtems_rtl_data
- relocs_size : rtems_rtl_rap
- remove : drvmgr_drv_ops
- remove_irq : sc16is752_context
- report_reasons : rtems_fstab_entry
- req : rtems_blkdev_request
- reserved : _Mcid, fh_sg_list
- Reserved : RTEMS_PACKED
- reserved0 : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- Reserved0 : RTEMS_PACKED
- reserved1 : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- Reserved1 : RTEMS_PACKED
- reserved2 : QspiInstFrame_t::_QspiInstFrame::_QspiInstFrameBM
- Reserved2 : RTEMS_PACKED
- Reserved3 : RTEMS_PACKED
- reserved_for_alignment : CPU_Interrupt_frame
- resizes : Heap_Statistics
- reslist : drvmgr_bus
- resource : drvmgr_bus_res
- restart_enable : ALT_I2C_MASTER_CONFIG_s
- result : rtems_rtl_unresolved_archive_reloc_data
- resX : Mode_params
- resY : Mode_params
- retries : i2c_bus
- retryMax : _GMacb
- return_argument : Thread_Wait_information
- return_argument_second : Thread_Wait_information
- return_code : MP_packet_Prefix, Thread_Wait_information
- return_packet : MPCI_Control
- rgb_or_yuv : _isi_Video
- right : rtems_bdbuf_buffer::rtems_bdbuf_avl_node
- rm_code_segment : RTEMS_PACKED
- rm_data_segment : RTEMS_PACKED
- rm_entry : RTEMS_PACKED
- rm_stack_pointer : RTEMS_PACKED
- rm_stack_segment : RTEMS_PACKED
- rml_code_selector : RTEMS_PACKED
- rml_data_selector : RTEMS_PACKED
- rml_entry : RTEMS_PACKED
- Roff : ISI_R2Y
- root_dev : drvmgr
- root_directory : rtems_user_env_t
- rootloc : rtems_filesystem_eval_path_context_t
- routine : Timer_Control, Watchdog_Control
- rpath : link_map
- rpathlen : link_map, rtems_rtl_rap
- rsid : lpc176x_scb
- RSTC_CR : Rstc
- RSTC_MR : Rstc
- RSTC_SR : Rstc
- rstcon : lpc176x_scb
- RsvdFieldPosition : RTEMS_PACKED
- RsvdMaskSize : RTEMS_PACKED
- RSWDT_CR : Rswdt
- RSWDT_MR : Rswdt
- RSWDT_SR : Rswdt
- RTC_CALALR : Rtc
- RTC_CALR : Rtc
- RTC_CR : Rtc
- RTC_IDR : Rtc
- RTC_IER : Rtc
- RTC_IMR : Rtc
- RTC_MR : Rtc
- RTC_SCCR : Rtc
- RTC_SR : Rtc
- RTC_TIMALR : Rtc
- RTC_TIMR : Rtc
- RTC_VER : Rtc
- RTC_VERSION : Rtc
- RTC_WPMR : Rtc
- rtl : rtems_rtl_obj_print
- RTT_AR : Rtt
- RTT_MR : Rtt
- RTT_SR : Rtt
- RTT_VR : Rtt
- rx_buf : spi_ioc_transfer
- rx_nbits : spi_ioc_transfer
- RxChNum : _Qspid
- rxDoneFlag : _ILI9488_ctl
- RxSize : _SpidCmd, AfeCmd